Index: code/branches/presentation2/data/levels/empty_level.oxw
===================================================================
--- code/branches/presentation2/data/levels/empty_level.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/empty_level.oxw	(revision 6388)
@@ -18,5 +18,5 @@
   >
 
-<!--Rocket position="-10, 3.5,800" velocity="0,0,-100"> 
+<!--Rocket position="-10, 3.5,800" velocity="0,0,-100">
       <attached>
         <Model pitch=180 position="0,0,0" scale=1.5 mesh="rocket_test.mesh" >
Index: code/branches/presentation2/data/levels/gametype_asteroids.oxw
===================================================================
--- code/branches/presentation2/data/levels/gametype_asteroids.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/gametype_asteroids.oxw	(revision 6388)
@@ -28,9 +28,9 @@
 ?>
 
-    <MovableEntity 
-     position="<?lua print(math.random()* 15000 - 1000) ?>,<?lua print(math.random() * 12000 - 4000) ?>,<?lua print(math.random() * 12000 - 4000) ?>"        collisionType=dynamic 
+    <MovableEntity
+     position="<?lua print(math.random()* 15000 - 1000) ?>,<?lua print(math.random() * 12000 - 4000) ?>,<?lua print(math.random() * 12000 - 4000) ?>"        collisionType=dynamic
      linearDamping=0.8
      angularDamping=0
-     scale=<?lua print(j * 150)?> 
+     scale=<?lua print(j * 150)?>
      collisiondamage=1
      enablecollisiondamage=true>
Index: code/branches/presentation2/data/levels/old/physicstest.oxw
===================================================================
--- code/branches/presentation2/data/levels/old/physicstest.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/old/physicstest.oxw	(revision 6388)
@@ -12,8 +12,8 @@
 
 <?lua
-for i = 1, 226, 1 
+for i = 1, 226, 1
 do ?>
   <Model position="<?lua print(math.random() * 40000 - 20000)?>, <?lua print(math.random() * 40000 - 20000) ?>, <?lua print(math.random() * 40000 - 20000) ?>" scale="<?lua print(math.random() * 250 + 20) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" rotationAxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationRate="<?lua print(math.random() * 30 + 15) ?>" />
-<?lua 
+<?lua
 end
 ?>
Index: code/branches/presentation2/data/levels/old/tutorial_hs08.oxw
===================================================================
--- code/branches/presentation2/data/levels/old/tutorial_hs08.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/old/tutorial_hs08.oxw	(revision 6388)
@@ -19,8 +19,8 @@
 <!-- Embedded lua code (creates random asteroids) -->
 <?lua
-for i = 1, 226, 1 
+for i = 1, 226, 1
 do ?>
   <Model position="<?lua print(math.random() * 40000 - 20000)?>, <?lua print(math.random() * 40000 - 20000) ?>, <?lua print(math.random() * 40000 - 20000) ?>" scale="<?lua print(math.random() * 250 + 20) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" rotationAxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationRate="<?lua print(math.random() * 30 + 15) ?>" />
-<?lua 
+<?lua
 end
 ?>
Index: code/branches/presentation2/data/levels/presentation09.oxw
===================================================================
--- code/branches/presentation2/data/levels/presentation09.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/presentation09.oxw	(revision 6388)
@@ -24,5 +24,5 @@
 max = 20
 for i = 1, max, 1
-do 
+do
     x = math.sin(i/max*6)*40000
     y = math.cos(i/max*6)*40000
@@ -30,10 +30,10 @@
     ?>
 <?lua
-for k = 1, 25, 1 
+for k = 1, 25, 1
 do
 j = math.random()
 ?>
 
-    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
+    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
@@ -43,5 +43,5 @@
       </collisionShapes> <?lua end ?>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
Index: code/branches/presentation2/data/levels/presentation09b.oxw
===================================================================
--- code/branches/presentation2/data/levels/presentation09b.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/presentation09b.oxw	(revision 6388)
@@ -121,5 +121,5 @@
 
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do
 ?>
@@ -136,10 +136,10 @@
       </controller>
     </SpaceShip>
-<?lua 
-end
-?>
-
-<?lua
-for i = 1, 12, 1 
+<?lua
+end
+?>
+
+<?lua
+for i = 1, 12, 1
 do
 ?>
@@ -156,5 +156,5 @@
       </controller>
     </SpaceShip>
-<?lua 
+<?lua
 end
 ?>
@@ -173,5 +173,5 @@
 
 <?lua
-for i = 1, 12, 1 
+for i = 1, 12, 1
 do
 ?>
@@ -190,5 +190,5 @@
       </controller>
     </SpaceShip>
-<?lua 
+<?lua
 end
 ?>
@@ -320,5 +320,5 @@
 
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do
 ?>
@@ -335,10 +335,10 @@
       </controller>
     </SpaceShip>
-<?lua 
-end
-?>
-
-<?lua
-for i = 1, 200, 1 
+<?lua
+end
+?>
+
+<?lua
+for i = 1, 200, 1
 do
 x = math.random() * 100  + (i-70) * 100
@@ -348,10 +348,10 @@
 ?>
 
-    <MovableEntity position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 - 15) ?>"> 
+    <MovableEntity position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 - 15) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(s) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
       </attached>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
@@ -363,5 +363,5 @@
     return table.getn(elements)
 end
-for i = 1, 150, 1 
+for i = 1, 150, 1
 do
 x = math.random() * 750 - 4500
@@ -371,10 +371,10 @@
 ?>
 
-    <MovableEntity position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 - 15) ?>"> 
+    <MovableEntity position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 - 15) ?>">
       <attached>
         <Model position="0,0,0" scale="<?lua print(sizes[e]) ?>" mesh="<?lua print( elements[e]) ?>" />
       </attached>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
Index: code/branches/presentation2/data/levels/presentationHS09.oxw
===================================================================
--- code/branches/presentation2/data/levels/presentationHS09.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/presentationHS09.oxw	(revision 6388)
@@ -126,5 +126,5 @@
 
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do
 ?>
@@ -141,10 +141,10 @@
       </controller>
     </SpaceShip>
-<?lua 
-end
-?>
-
-<?lua
-for i = 1, 12, 1 
+<?lua
+end
+?>
+
+<?lua
+for i = 1, 12, 1
 do
 ?>
@@ -161,5 +161,5 @@
       </controller>
     </SpaceShip>
-<?lua 
+<?lua
 end
 ?>
@@ -178,5 +178,5 @@
 
 <?lua
-for i = 1, 12, 1 
+for i = 1, 12, 1
 do
 ?>
@@ -195,5 +195,5 @@
       </controller>
     </SpaceShip>
-<?lua 
+<?lua
 end
 ?>
@@ -325,5 +325,5 @@
 
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do
 ?>
@@ -340,5 +340,5 @@
       </controller>
     </SpaceShip>
-<?lua 
+<?lua
 end
 ?>
@@ -349,5 +349,5 @@
 	return table.getn(elements)
 end
-for i = 1, 100, 1 
+for i = 1, 100, 1
 do
 x = math.random() * 100  + (i) * 100
@@ -358,15 +358,15 @@
 ?>
 
-    <MovableEntity mass=90000 position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>"> 
+    <MovableEntity mass=90000 position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(s) ?> mesh="<?lua print(elements[e])?>" />
       </attached>
     </MovableEntity>
-<?lua 
-end
-?>
-
-<?lua
-for i = 1, 100, 1 
+<?lua
+end
+?>
+
+<?lua
+for i = 1, 100, 1
 do
 x = math.random() * 200 + i*200
@@ -378,5 +378,5 @@
 <!-- <Billboard material="Test/Fog" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>"  color="1, 1, 1, 0.01" scale="20" />
 -->
-<?lua 
+<?lua
 end
 ?>
@@ -388,5 +388,5 @@
     return table.getn(elements)
 end
-for i = 1, 150, 1 
+for i = 1, 150, 1
 do
 x = math.random() * 750 - 4500
@@ -396,15 +396,15 @@
 ?>
 
-    <MovableEntity mass=90000 position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30- 15) ?>"> 
+    <MovableEntity mass=90000 position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30- 15) ?>">
       <attached>
         <Model position="0,0,0" scale="<?lua print(sizes[e]) ?>" mesh="<?lua print( elements[e]) ?>" />
       </attached>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
 <!--
     <Planet position="1000,0,0" mass=900000 scale=1000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
--->  
+-->
 </Scene>
 </Level>
Index: code/branches/presentation2/data/levels/presentation_dm.oxw
===================================================================
--- code/branches/presentation2/data/levels/presentation_dm.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/presentation_dm.oxw	(revision 6388)
@@ -18,8 +18,8 @@
 
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
     <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-<?lua 
+<?lua
 end
 ?>
@@ -35,10 +35,10 @@
 
 <?lua
-for i = 1, 100, 1 
+for i = 1, 100, 1
 do
 j = math.random()
 ?>
 
-    <MovableEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
+    <MovableEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
@@ -48,5 +48,5 @@
       </collisionShapes>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
Index: code/branches/presentation2/data/levels/questsystem2.oxw
===================================================================
--- code/branches/presentation2/data/levels/questsystem2.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/questsystem2.oxw	(revision 6388)
@@ -37,5 +37,5 @@
                     <QuestDescription title="The super Hint.3" description="Be proud of yourself.3" />
                 </QuestHint>
-            </hints>    
+            </hints>
             <subquests>
                 <GlobalQuest id="e17f5245-f95b-44a8-b6cf-402274435ed4">
@@ -215,5 +215,5 @@
 max = 20
 for i = 1, max, 1
-do 
+do
     x = math.sin(i/max*6)*40000
     y = math.cos(i/max*6)*40000
@@ -221,10 +221,10 @@
     ?>
 <?lua
-for k = 1, 25, 1 
+for k = 1, 25, 1
 do
 j = math.random()
 ?>
 
-    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
+    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
@@ -234,5 +234,5 @@
       </collisionShapes> <?lua end ?>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
Index: code/branches/presentation2/data/levels/teambasematchlevel.oxw
===================================================================
--- code/branches/presentation2/data/levels/teambasematchlevel.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/teambasematchlevel.oxw	(revision 6388)
@@ -41,10 +41,10 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
         <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
           <events><spawn><EventListener event="base 1" /></spawn></events>
         </ParticleSpawner>
-<?lua 
+<?lua
 end
 ?>
@@ -78,10 +78,10 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
         <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
           <events><spawn><EventListener event="base 2" /></spawn></events>
         </ParticleSpawner>
-<?lua 
+<?lua
 end
 ?>
@@ -115,10 +115,10 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
         <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
           <events><spawn><EventListener event="base 3" /></spawn></events>
         </ParticleSpawner>
-<?lua 
+<?lua
 end
 ?>
@@ -151,10 +151,10 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
         <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
           <events><spawn><EventListener event="base 4" /></spawn></events>
         </ParticleSpawner>
-<?lua 
+<?lua
 end
 ?>
@@ -188,10 +188,10 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
         <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
           <events><spawn><EventListener event="base 5" /></spawn></events>
         </ParticleSpawner>
-<?lua 
+<?lua
 end
 ?>
Index: code/branches/presentation2/data/levels/test_ghost.oxw
===================================================================
--- code/branches/presentation2/data/levels/test_ghost.oxw	(revision 6387)
+++ code/branches/presentation2/data/levels/test_ghost.oxw	(revision 6388)
@@ -24,5 +24,5 @@
 max = 20
 for i = 1, max, 1
-do 
+do
     x = math.sin(i/max*6)*40000
     y = math.cos(i/max*6)*40000
@@ -30,10 +30,10 @@
     ?>
 <?lua
-for k = 1, 25, 1 
+for k = 1, 25, 1
 do
 j = math.random()
 ?>
 
-    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
+    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
@@ -43,5 +43,5 @@
       </collisionShapes> <?lua end ?>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>