Index: code/branches/presentation2/data/levels/includes/weaponsettings_HXY.oxi
===================================================================
--- code/branches/presentation2/data/levels/includes/weaponsettings_HXY.oxi	(revision 6388)
+++ code/branches/presentation2/data/levels/includes/weaponsettings_HXY.oxi	(revision 6389)
@@ -16,10 +16,10 @@
           <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
           <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
-	    <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
         <Weapon>
           <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
           <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
-	    <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
       </WeaponPack>
Index: code/branches/presentation2/data/levels/includes/weaponsettings_Transporter.oxi
===================================================================
--- code/branches/presentation2/data/levels/includes/weaponsettings_Transporter.oxi	(revision 6388)
+++ code/branches/presentation2/data/levels/includes/weaponsettings_Transporter.oxi	(revision 6389)
@@ -16,10 +16,10 @@
           <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
           <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
-	    <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
         <Weapon>
           <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
           <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
-	    <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
       </WeaponPack>
Index: code/branches/presentation2/data/levels/includes/weaponsettings_ghost.oxi
===================================================================
--- code/branches/presentation2/data/levels/includes/weaponsettings_ghost.oxi	(revision 6388)
+++ code/branches/presentation2/data/levels/includes/weaponsettings_ghost.oxi	(revision 6389)
@@ -16,10 +16,10 @@
           <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
           <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
-	    <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
         <Weapon>
           <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
           <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
-	    <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
       </WeaponPack>
Index: code/branches/presentation2/data/levels/old/physicstest2.oxw
===================================================================
--- code/branches/presentation2/data/levels/old/physicstest2.oxw	(revision 6388)
+++ code/branches/presentation2/data/levels/old/physicstest2.oxw	(revision 6389)
@@ -21,6 +21,6 @@
     <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipassff /-->
 
-	<!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
-	<StaticEntity
+    <!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
+    <StaticEntity
      position        = "0,0,0"
      name            = "banana"
@@ -35,19 +35,19 @@
         <PlaneCollisionShape name="thePlane" planeNormal="0,1,0" planeOffset=0 />
       </collisionShapes>
-	</StaticEntity>
-
-	<!-- red sphere for phsics engine testing purposes-->
-	<!--StaticEntity position="40,0,0">
-		<attached>
-			<Model position="0,0,0" scale=1 mesh="sphere.mesh" />
-		</attached>
-	</StaticEntity-->
-
-	<!-- yellow cube for phsics engine testing purposes-->
-	<!--StaticEntity position="80,0,0">
+    </StaticEntity>
+
+    <!-- red sphere for phsics engine testing purposes-->
+    <!--StaticEntity position="40,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="sphere.mesh" />
+      </attached>
+    </StaticEntity-->
+
+    <!-- yellow cube for phsics engine testing purposes-->
+    <!--StaticEntity position="80,0,0">
       <attached>
         <Model position="0,0,0" scale=1 mesh="cube.mesh" />
       </attached>
-	</StaticEntity-->
+    </StaticEntity-->
 
     <MovableEntity
Index: code/branches/presentation2/data/levels/old/presentation_physics.oxw
===================================================================
--- code/branches/presentation2/data/levels/old/presentation_physics.oxw	(revision 6388)
+++ code/branches/presentation2/data/levels/old/presentation_physics.oxw	(revision 6389)
@@ -30,7 +30,7 @@
         <PlaneCollisionShape planeNormal="0,1,0" planeOffset=0 />
       </collisionShapes>
-	</StaticEntity>
+    </StaticEntity>
 
-	<MovableEntity
+    <MovableEntity
      position        = "0,250,500"
      rotationaxis    = "1, 1, 1"
@@ -64,5 +64,5 @@
         <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
       </collisionShapes>
-	</MovableEntity>
+    </MovableEntity>
 
     <?lua
Index: code/branches/presentation2/data/levels/old/princessaeryn.oxw
===================================================================
--- code/branches/presentation2/data/levels/old/princessaeryn.oxw	(revision 6388)
+++ code/branches/presentation2/data/levels/old/princessaeryn.oxw	(revision 6389)
@@ -6,11 +6,11 @@
 
 <?lua
-	dofile("includes/CuboidSpaceStation.lua")
+    dofile("includes/CuboidSpaceStation.lua")
 ?>
 
 <NotificationQueue
-	name  = "notification"
-	position = "1.0, 1.0"
-	targets = "questsystem"
+ name  = "notification"
+ position = "1.0, 1.0"
+ targets = "questsystem"
 />
 
Index: code/branches/presentation2/data/levels/old/questsystem.oxw
===================================================================
--- code/branches/presentation2/data/levels/old/questsystem.oxw	(revision 6388)
+++ code/branches/presentation2/data/levels/old/questsystem.oxw	(revision 6389)
@@ -6,7 +6,7 @@
 
 <NotificationQueue
-	name  = "notification"
-	position = "1.0, 1.0"
-	targets = "all"
+ name  = "notification"
+ position = "1.0, 1.0"
+ targets = "all"
 />
 
@@ -29,17 +29,17 @@
         </GlobalQuest>
 
-				<ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
-				  <events>
-				    <spawn>
-				      <EventTrigger delay=1>
-				        <events>
-				          <trigger>
-				            <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
-				          </trigger>
-				        </events>
-				      </EventTrigger>
-				    </spawn>
-				  </events>
-				</ParticleSpawner>
+        <ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
+            <events>
+                <spawn>
+                    <EventTrigger delay=1>
+                        <events>
+                            <trigger>
+                                <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
+                            </trigger>
+                        </events>
+                    </EventTrigger>
+                </spawn>
+            </events>
+        </ParticleSpawner>
 
         <QuestEffectBeacon position="0,0,100" times=-1>
Index: code/branches/presentation2/data/levels/old/sample4.oxw
===================================================================
--- code/branches/presentation2/data/levels/old/sample4.oxw	(revision 6388)
+++ code/branches/presentation2/data/levels/old/sample4.oxw	(revision 6389)
@@ -23,8 +23,8 @@
         <Model position="0,0,0" scale=10 mesh="satellite.mesh" />
         <MovableEntity position="-4,0,0" velocity="0,0,0" rotationaxis="0,0,1" rotationrate=50>
-	  <attached>
+          <attached>
             <Model position="4,0,0" scale=10 mesh="satellitedish.mesh"/>
           </attached>
-	</MovableEntity>
+        </MovableEntity>
         <ParticleEmitter pitch=-135 roll=30 position="-14, 3.5,-2.5" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
         <ParticleEmitter pitch=135 roll=30 position="-14, 3.5,-9" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
Index: code/branches/presentation2/data/levels/presentation.oxw
===================================================================
--- code/branches/presentation2/data/levels/presentation.oxw	(revision 6388)
+++ code/branches/presentation2/data/levels/presentation.oxw	(revision 6389)
@@ -20,30 +20,30 @@
 
 
-	<!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
-	<!--StaticEntity position="0,0,0">
-		<attached>
-			<Model position="0,0,0" scale=1 mesh="axes.mesh" />
-		</attached>
-	</StaticEntity -->
+    <!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
+    <!--StaticEntity position="0,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="axes.mesh" />
+      </attached>
+    </StaticEntity -->
 
-	<!-- red sphere for phsics engine testing purposes-->
-	<!--StaticEntity position="40,0,0">
-		<attached>
-			<Model position="0,0,0" scale=1 mesh="sphere.mesh" />
-		</attached>
-	</StaticEntity-->
+    <!-- red sphere for phsics engine testing purposes-->
+    <!--StaticEntity position="40,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="sphere.mesh" />
+      </attached>
+    </StaticEntity-->
 
-	<!-- yellow cube for phsics engine testing purposes-->
-	<!--StaticEntity position="80,0,0">
-		<attached>
-			<Model position="0,0,0" scale=1 mesh="cube.mesh" />
-		</attached>
-	</StaticEntity-->
+    <!-- yellow cube for phsics engine testing purposes-->
+    <!--StaticEntity position="80,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="cube.mesh" />
+      </attached>
+    </StaticEntity-->
 
-	<!-- Carrier with guns not implemented yet -->
-	<MovableEntity position="-2000,-1000,-2000" pitch="-90" roll="90">
+    <!-- Carrier with guns not implemented yet -->
+    <MovableEntity position="-2000,-1000,-2000" pitch="-90" roll="90">
       <attached>
         <Model position="0,0,0" scale=10 mesh="Carrier.mesh" />
-		<Model position="0,30,20" scale=10 mesh="pirate.mesh" roll="180" />
+        <Model position="0,30,20" scale=10 mesh="pirate.mesh" roll="180" />
         <Model position="-80,-30,20" scale=10 mesh="pirate.mesh" roll="180" />
       </attached>
@@ -54,8 +54,8 @@
         <Model position="0,0,0" scale=10 mesh="satellite.mesh" />
         <MovableEntity position="-4,0,0" velocity="0,0,0" rotationaxis="0,0,1" rotationrate=50>
-	  <attached>
+          <attached>
             <Model position="4,0,0" scale=10 mesh="satellitedish.mesh"/>
           </attached>
-	</MovableEntity>
+        </MovableEntity>
         <ParticleEmitter pitch=-135 roll=30 position="-14, 3.5,-2.5" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
         <ParticleEmitter pitch=135 roll=30 position="-14, 3.5,-9" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
Index: code/branches/presentation2/data/levels/presentationHS09.oxw
===================================================================
--- code/branches/presentation2/data/levels/presentationHS09.oxw	(revision 6388)
+++ code/branches/presentation2/data/levels/presentationHS09.oxw	(revision 6389)
@@ -347,5 +347,5 @@
 elements = {"asteroid_ice.mesh", "asteroid_UV.mesh", "ast1.mesh", "ast2.mesh", "ast3.mesh", "ast4.mesh", "ast5.mesh", "ast6.mesh"}
 elements.length = function()
-	return table.getn(elements)
+    return table.getn(elements)
 end
 for i = 1, 100, 1
Index: code/branches/presentation2/data/levels/presentationHS09b.oxw
===================================================================
--- code/branches/presentation2/data/levels/presentationHS09b.oxw	(revision 6388)
+++ code/branches/presentation2/data/levels/presentationHS09b.oxw	(revision 6389)
@@ -41,7 +41,7 @@
         <Model position="0,0,0" scale=<?lua print(s) ?> mesh="asteroid_UV.mesh" />
       </attached>
-	<collisionShapes>
-        	<SphereCollisionShape radius="<?lua print(s*0.9) ?>" />
-      	</collisionShapes>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(s*0.9) ?>" />
+      </collisionShapes>
     </MovableEntity>
      <ParticleSpawner position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" source="Orxonox/Steam" lifetime=3.0 loop=1 />
@@ -69,7 +69,7 @@
       </attached>
     </MovableEntity>
-	<?lua
-	end
-	?>
+<?lua
+end
+?>
 <?lua
 for i = 1,12, 1
@@ -81,5 +81,5 @@
       </templates>
       <controller>
-	<WaypointPatrolController alertnessradius=4000 team=0 active=true>
+        <WaypointPatrolController alertnessradius=4000 team=0 active=true>
           <waypoints>
             <StaticEntity position="5000,<?lua print(math.random()*50)?> ,<?lua print(i*50 -150) ?>" />
@@ -96,5 +96,5 @@
       </templates>
       <controller>
-	<WaypointPatrolController name=pirate  target=pirate alertnessradius=1000 team=0 active=false>
+        <WaypointPatrolController name=pirate  target=pirate alertnessradius=1000 team=0 active=false>
           <waypoints>
             <StaticEntity position="5000,100,1100" />
@@ -197,13 +197,13 @@
    ?>
 
-<MovableEntity collisiontype=dynamic mass=<?lua print(s*10)?> position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.01 angularDamping=0 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>">
+    <MovableEntity collisiontype=dynamic mass=<?lua print(s*10)?> position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.01 angularDamping=0 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(s) ?> mesh="asteroid_ice.mesh" />
       </attached>
-	<collisionShapes>
-        	<SphereCollisionShape radius="<?lua print(s*0.9)?>" />
-      	</collisionShapes>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(s*0.9)?>" />
+      </collisionShapes>
     </MovableEntity>
-     <ParticleSpawner position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" source="Orxonox/Steam" lifetime=3.0 loop=1 />
+    <ParticleSpawner position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" source="Orxonox/Steam" lifetime=3.0 loop=1 />
 <?lua
 end
@@ -212,5 +212,5 @@
       <targets>
         <EventTarget target=attack />
-	<EventTarget target=wait />
+        <EventTarget target=wait />
       </targets>
       <events>
@@ -258,10 +258,10 @@
 
 
-<AmbientSound ambientSource="Earth.ogg" looping="true" playOnLoad="false">
-       <events>
-          <activity>
-	     <DistanceTrigger position="2000,0,0" distance=500 target="Camera" />
-          </activity>
-       </events>
+    <AmbientSound ambientSource="Earth.ogg" looping="true" playOnLoad="false">
+      <events>
+        <activity>
+          <DistanceTrigger position="2000,0,0" distance=500 target="Camera" />
+        </activity>
+      </events>
     </AmbientSound>
 
Index: code/branches/presentation2/data/levels/princessaeryn.oxw
===================================================================
--- code/branches/presentation2/data/levels/princessaeryn.oxw	(revision 6388)
+++ code/branches/presentation2/data/levels/princessaeryn.oxw	(revision 6389)
@@ -6,5 +6,5 @@
 
 <?lua
-	dofile("includes/CuboidSpaceStation.lua")
+    dofile("includes/CuboidSpaceStation.lua")
 ?>
 
Index: code/branches/presentation2/data/levels/sound.oxw
===================================================================
--- code/branches/presentation2/data/levels/sound.oxw	(revision 6388)
+++ code/branches/presentation2/data/levels/sound.oxw	(revision 6389)
@@ -20,24 +20,24 @@
   <AmbientSound ambientSource="Earth.ogg" looping="true" playOnLoad="true" />
   <AmbientSound ambientSource="Mars.ogg" looping="true">
-	<events>
-		<activity>
-			<DistanceTrigger position="400,0,0" distance=200 target="Camera">
-				<attached>
-					<ParticleSpawner position="0,0,0" source="Orxonox/fire3" lifetime=0 loop=0 autostart=1 />
-				</attached>
-			</DistanceTrigger>
-		</activity>
-	</events>
+    <events>
+        <activity>
+            <DistanceTrigger position="400,0,0" distance=200 target="Camera">
+                <attached>
+                    <ParticleSpawner position="0,0,0" source="Orxonox/fire3" lifetime=0 loop=0 autostart=1 />
+                </attached>
+            </DistanceTrigger>
+        </activity>
+    </events>
   </AmbientSound>
   <AmbientSound ambientSource="Jupiter.ogg" looping="true">
-	<events>
-		<activity>
-			<DistanceTrigger position="400,150,0" distance=200 target="Camera">
-				<attached>
-					<ParticleSpawner position="0,0,0" source="Orxonox/fire3" lifetime=0 loop=0 autostart=1 />
-				</attached>
-			</DistanceTrigger>
-		</activity>
-	</events>
+    <events>
+        <activity>
+            <DistanceTrigger position="400,150,0" distance=200 target="Camera">
+                <attached>
+                    <ParticleSpawner position="0,0,0" source="Orxonox/fire3" lifetime=0 loop=0 autostart=1 />
+                </attached>
+            </DistanceTrigger>
+        </activity>
+    </events>
   </AmbientSound>
 
Index: code/branches/presentation2/data/levels/templates/spaceship_ghost.oxt
===================================================================
--- code/branches/presentation2/data/levels/templates/spaceship_ghost.oxt	(revision 6388)
+++ code/branches/presentation2/data/levels/templates/spaceship_ghost.oxt	(revision 6389)
@@ -74,5 +74,5 @@
     <EffectContainer condition="not idle">
       <Backlight mainstate=activity active=false scale=0.4 position="7.6, 3, 6" colour="1, 1, 1, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-    	<Backlight mainstate=activity active=false scale=0.4 position="-7.6, 3, 6" colour="1, 1, 1, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <Backlight mainstate=activity active=false scale=0.4 position="-7.6, 3, 6" colour="1, 1, 1, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
     </EffectContainer>
     <EffectContainer condition="brake">