Index: code/branches/presentation2/src/orxonox/Level.cc
===================================================================
--- code/branches/presentation2/src/orxonox/Level.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/Level.cc	(revision 6394)
@@ -141,5 +141,5 @@
     void Level::playerEntered(PlayerInfo* player)
     {
-        COUT(3) << "player entered level (id: " << player->getClientID() << ", name: " << player->getName() << ")" << std::endl;
+        COUT(3) << "player entered level (id: " << player->getClientID() << ", name: " << player->getName() << ')' << std::endl;
         player->setGametype(this->getGametype());
     }
@@ -147,5 +147,5 @@
     void Level::playerLeft(PlayerInfo* player)
     {
-        COUT(3) << "player left level (id: " << player->getClientID() << ", name: " << player->getName() << ")" << std::endl;
+        COUT(3) << "player left level (id: " << player->getClientID() << ", name: " << player->getName() << ')' << std::endl;
         player->setGametype(0);
     }
Index: code/branches/presentation2/src/orxonox/LevelManager.cc
===================================================================
--- code/branches/presentation2/src/orxonox/LevelManager.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/LevelManager.cc	(revision 6394)
@@ -122,8 +122,8 @@
     }
 
-    std::string LevelManager::getAvailableLevelListItem(unsigned int index) const
+    const std::string& LevelManager::getAvailableLevelListItem(unsigned int index) const
     {
         if (index >= availableLevels_.size())
-            return std::string();
+            return BLANKSTRING;
         else
             return availableLevels_[index];
Index: code/branches/presentation2/src/orxonox/LevelManager.h
===================================================================
--- code/branches/presentation2/src/orxonox/LevelManager.h	(revision 6393)
+++ code/branches/presentation2/src/orxonox/LevelManager.h	(revision 6394)
@@ -60,5 +60,5 @@
             const std::string& getDefaultLevel() const; //tolua_export
             void compileAvailableLevelList(); //tolua_export
-            std::string getAvailableLevelListItem(unsigned int index) const; //tolua_export
+            const std::string& getAvailableLevelListItem(unsigned int index) const; //tolua_export
 
             static LevelManager* getInstancePtr() { return singletonPtr_s; }
Index: code/branches/presentation2/src/orxonox/Radar.cc
===================================================================
--- code/branches/presentation2/src/orxonox/Radar.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/Radar.cc	(revision 6394)
@@ -85,5 +85,5 @@
     }
 
-    RadarViewable::Shape Radar::addObjectDescription(const std::string name)
+    RadarViewable::Shape Radar::addObjectDescription(const std::string& name)
     {
         std::map<std::string, RadarViewable::Shape>::iterator it = this->objectTypes_.find(name);
Index: code/branches/presentation2/src/orxonox/Radar.h
===================================================================
--- code/branches/presentation2/src/orxonox/Radar.h	(revision 6393)
+++ code/branches/presentation2/src/orxonox/Radar.h	(revision 6394)
@@ -55,5 +55,5 @@
 
         const RadarViewable* getFocus();
-        RadarViewable::Shape addObjectDescription(const std::string name);
+        RadarViewable::Shape addObjectDescription(const std::string& name);
 
         void listObjects() const;
Index: code/branches/presentation2/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gamestates/GSLevel.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/gamestates/GSLevel.cc	(revision 6394)
@@ -154,5 +154,5 @@
             if (find == this->staticObjects_.end())
             {
-                COUT(3) << ++i << ": " << it->getIdentifier()->getName() << " (" << *it << ")" << std::endl;
+                COUT(3) << ++i << ": " << it->getIdentifier()->getName() << " (" << *it << ')' << std::endl;
             }
         }
Index: code/branches/presentation2/src/orxonox/gametypes/Asteroids.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gametypes/Asteroids.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/gametypes/Asteroids.cc	(revision 6394)
@@ -72,5 +72,5 @@
         Gametype::start();
 
-        std::string message = "The match has started! Reach the first chekpoint within 15 seconds! But be aware, there may be pirates around...";
+        std::string message("The match has started! Reach the first chekpoint within 15 seconds! But be aware, there may be pirates around...");
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
@@ -81,5 +81,5 @@
         Gametype::end();
 
-        std::string message = "The match has ended.";
+        std::string message("The match has ended.");
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
Index: code/branches/presentation2/src/orxonox/gametypes/Deathmatch.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gametypes/Deathmatch.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/gametypes/Deathmatch.cc	(revision 6394)
@@ -47,5 +47,5 @@
         Gametype::start();
 
-        std::string message = "The match has started!";
+        std::string message("The match has started!");
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
@@ -56,5 +56,5 @@
         Gametype::end();
 
-        std::string message = "The match has ended.";
+        std::string message("The match has ended.");
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
@@ -65,5 +65,5 @@
         Gametype::playerEntered(player);
 
-        std::string message = player->getName() + " entered the game";
+        const std::string& message = player->getName() + " entered the game";
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
@@ -76,5 +76,5 @@
         if (valid_player)
         {
-            std::string message = player->getName() + " left the game";
+            const std::string& message = player->getName() + " left the game";
             COUT(0) << message << std::endl;
             Host::Broadcast(message);
@@ -90,5 +90,5 @@
         if (valid_player)
         {
-            std::string message = player->getOldName() + " changed name to " + player->getName();
+            const std::string& message = player->getOldName() + " changed name to " + player->getName();
             COUT(0) << message << std::endl;
             Host::Broadcast(message);
@@ -126,5 +126,5 @@
         if (player)
         {
-            std::string message = player->getName() + " scores!";
+            const std::string& message = player->getName() + " scores!";
             COUT(0) << message << std::endl;
             Host::Broadcast(message);
Index: code/branches/presentation2/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gametypes/Gametype.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/gametypes/Gametype.cc	(revision 6394)
@@ -71,5 +71,5 @@
 
         // load the corresponding score board
-        if (GameMode::showsGraphics() && this->scoreboardTemplate_ != "")
+        if (GameMode::showsGraphics() && !this->scoreboardTemplate_.empty())
         {
             this->scoreboard_ = new OverlayGroup(this);
Index: code/branches/presentation2/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gametypes/UnderAttack.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/gametypes/UnderAttack.cc	(revision 6394)
@@ -69,5 +69,5 @@
     {
         this->end(); //end gametype
-        std::string message = "Ship destroyed! Team 0 has won!";
+        std::string message("Ship destroyed! Team 0 has won!");
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
@@ -152,5 +152,5 @@
                 this->gameEnded_ = true;
                 this->end();
-                std::string message = "Time is up! Team 1 has won!";
+                std::string message("Time is up! Team 1 has won!");
                 COUT(0) << message << std::endl;
                 Host::Broadcast(message);
@@ -171,5 +171,5 @@
             if ( gameTime_ <= timesequence_ && gameTime_ > 0)
             {
-                std::string message = multi_cast<std::string>(timesequence_) + " seconds left!";
+                const std::string& message = multi_cast<std::string>(timesequence_) + " seconds left!";
 /*
                 COUT(0) << message << std::endl;
Index: code/branches/presentation2/src/orxonox/graphics/Billboard.cc
===================================================================
--- code/branches/presentation2/src/orxonox/graphics/Billboard.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/graphics/Billboard.cc	(revision 6394)
@@ -42,5 +42,4 @@
         RegisterObject(Billboard);
 
-        this->material_ = "";
         this->colour_ = ColourValue::White;
 //        this->rotation_ = 0;
@@ -76,5 +75,5 @@
     void Billboard::changedMaterial()
     {
-        if (this->material_ == "")
+        if (this->material_.empty())
             return;
 
@@ -99,5 +98,5 @@
         {
 /*
-            if (this->getScene() && GameMode::showsGraphics() && (this->material_ != ""))
+            if (this->getScene() && GameMode::showsGraphics() && !this->material_.empty())
             {
                 this->billboard_.setBillboardSet(this->getScene()->getSceneManager(), this->material_, this->colour_, 1);
Index: code/branches/presentation2/src/orxonox/infos/HumanPlayer.cc
===================================================================
--- code/branches/presentation2/src/orxonox/infos/HumanPlayer.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/infos/HumanPlayer.cc	(revision 6394)
@@ -164,5 +164,5 @@
         if (this->isInitialized() && this->isLocalPlayer())
         {
-            if (this->getGametype() && this->getGametype()->getHUDTemplate() != "")
+            if (this->getGametype() && !this->getGametype()->getHUDTemplate().empty())
                 this->setGametypeHUDTemplate(this->getGametype()->getHUDTemplate());
             else
@@ -179,5 +179,5 @@
         }
 
-        if (this->isLocalPlayer() && this->humanHudTemplate_ != "" && GameMode::showsGraphics())
+        if (this->isLocalPlayer() && !this->humanHudTemplate_.empty() && GameMode::showsGraphics())
         {
             this->humanHud_ = new OverlayGroup(this);
@@ -195,5 +195,5 @@
         }
 
-        if (this->isLocalPlayer() && this->gametypeHudTemplate_ != "")
+        if (this->isLocalPlayer() && !this->gametypeHudTemplate_.empty())
         {
             this->gametypeHud_ = new OverlayGroup(this);
Index: code/branches/presentation2/src/orxonox/items/Engine.h
===================================================================
--- code/branches/presentation2/src/orxonox/items/Engine.h	(revision 6393)
+++ code/branches/presentation2/src/orxonox/items/Engine.h	(revision 6394)
@@ -106,6 +106,4 @@
             virtual const Vector3& getDirection() const;
 
-            void loadSound(const std::string filename);
-
         private:
             void networkcallback_shipID();
Index: code/branches/presentation2/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- code/branches/presentation2/src/orxonox/items/MultiStateEngine.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/items/MultiStateEngine.cc	(revision 6394)
@@ -35,5 +35,4 @@
 
 #include "util/Convert.h"
-#include "util/StringUtils.h"
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
@@ -201,5 +200,5 @@
         if (effect == NULL)
             return;
-        effect->setLuaState(this->lua_, "f" + multi_cast<std::string>(this->effectContainers_.size()));
+        effect->setLuaState(this->lua_, 'f' + multi_cast<std::string>(this->effectContainers_.size()));
         this->effectContainers_.push_back(effect);
         if (this->getShip())
Index: code/branches/presentation2/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- code/branches/presentation2/src/orxonox/overlays/InGameConsole.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/overlays/InGameConsole.cc	(revision 6394)
@@ -318,5 +318,5 @@
             this->print(this->shell_->getInput(), Shell::Input, 0);
 
-        if (this->shell_->getInput() == "" || this->shell_->getInput().size() == 0)
+        if (this->shell_->getInput().empty())
             this->inputWindowStart_ = 0;
     }
Index: code/branches/presentation2/src/orxonox/overlays/Map.cc
===================================================================
--- code/branches/presentation2/src/orxonox/overlays/Map.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/overlays/Map.cc	(revision 6394)
@@ -49,4 +49,5 @@
 #include <OgreViewport.h>
 
+#include "util/StringUtils.h"
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
Index: code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 6394)
@@ -45,5 +45,4 @@
 #include "util/Convert.h"
 #include "util/Exception.h"
-#include "util/StringUtils.h"
 #include "core/GameMode.h"
 #include "core/CoreIncludes.h"
@@ -146,5 +145,5 @@
 
         if (OrxonoxOverlay::overlays_s.find(this->getName()) != OrxonoxOverlay::overlays_s.end())
-            COUT(1) << "Overlay names should be unique or you cannnot access them via console. Name: \"" << this->getName() << "\"" << std::endl;
+            COUT(1) << "Overlay names should be unique or you cannnot access them via console. Name: \"" << this->getName() << '"' << std::endl;
 
         OrxonoxOverlay::overlays_s[this->getName()] = this;
@@ -154,5 +153,5 @@
     void OrxonoxOverlay::setBackgroundMaterial(const std::string& material)
     {
-        if (this->background_ && material != "")
+        if (this->background_ && !material.empty())
             this->background_->setMaterialName(material);
     }
Index: code/branches/presentation2/src/orxonox/pickup/DroppedItem.cc
===================================================================
--- code/branches/presentation2/src/orxonox/pickup/DroppedItem.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/pickup/DroppedItem.cc	(revision 6394)
@@ -83,5 +83,5 @@
         if (this->item_)
         {
-            COUT(3) << "Delete DroppedItem with '" << this->item_->getPickupIdentifier() << "'" << std::endl;
+            COUT(3) << "Delete DroppedItem with '" << this->item_->getPickupIdentifier() << '\'' << std::endl;
             this->item_->destroy();
         }
@@ -112,5 +112,5 @@
         drop->createTimer();
 
-        COUT(3) << "Created DroppedItem for '" << item->getPickupIdentifier() << "' at (" << position.x << "," << position.y << "," << position.z << ")." << std::endl;
+        COUT(3) << "Created DroppedItem for '" << item->getPickupIdentifier() << "' at (" << position.x << ',' << position.y << ',' << position.z << ")." << std::endl;
 
         return drop;
Index: code/branches/presentation2/src/orxonox/pickup/PickupInventory.cc
===================================================================
--- code/branches/presentation2/src/orxonox/pickup/PickupInventory.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/pickup/PickupInventory.cc	(revision 6394)
@@ -196,5 +196,5 @@
             return "";
 
-        std::string name = "pickup_" + item->getGUIImage();
+        const std::string& name = "pickup_" + item->getGUIImage();
 
         if(!CEGUI::ImagesetManager::getSingletonPtr()->isImagesetPresent(name))
@@ -203,5 +203,5 @@
         }
 
-        return "set:" + name + " image:full_image";
+        return ("set:" + name + " image:full_image");
     }
 
@@ -332,7 +332,7 @@
         txt->setVisible(true);
         txt->setProperty("Text", item->getGUIText());
-        txt->setProperty("TextColours", "tl:" + textColour + " tr:" + textColour + " bl:" + textColour + " br:" + textColour + "");
-
-        std::string image = PickupInventory::getImageForItem(item);
+        txt->setProperty("TextColours", "tl:" + textColour + " tr:" + textColour + " bl:" + textColour + " br:" + textColour);
+
+        const std::string& image = PickupInventory::getImageForItem(item);
         btn->setVisible(true);
         btn->setProperty("NormalImage", image);
Index: code/branches/presentation2/src/orxonox/sound/AmbientSound.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/AmbientSound.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/sound/AmbientSound.cc	(revision 6394)
@@ -113,5 +113,5 @@
         if (GameMode::playsSound())
         {
-            std::string path = "ambient/" + MoodManager::getInstance().getMood() + "/" + source;
+            const std::string& path = "ambient/" + MoodManager::getInstance().getMood() + '/' + source;
             shared_ptr<ResourceInfo> fileInfo = Resource::getInfo(path);
             if (fileInfo != NULL)
Index: code/branches/presentation2/src/orxonox/sound/SoundBuffer.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/SoundBuffer.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/sound/SoundBuffer.cc	(revision 6394)
@@ -57,5 +57,5 @@
         DataStreamPtr dataStream = Resource::open(fileInfo);
 
-        std::string extension(this->filename_.substr(this->filename_.find_last_of('.') + 1));
+        const std::string& extension = this->filename_.substr(this->filename_.find_last_of('.') + 1);
         if (getLowercase(extension) == "ogg")
         {
Index: code/branches/presentation2/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/SoundManager.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/sound/SoundManager.cc	(revision 6394)
@@ -92,5 +92,5 @@
         {
             this->deviceNames_.push_back(devices);
-            COUT(4) << "\"" << devices << "\", ";
+            COUT(4) << '"' << devices << "\", ";
             devices += strlen(devices) + 1;
             if (*devices == '\0')
@@ -100,5 +100,5 @@
 
         // Open the selected device
-        COUT(3) << "Sound: Opening device \"" << renderDevice << "\"" << std::endl;
+        COUT(3) << "Sound: Opening device \"" << renderDevice << '\' << std::endl;
         this->device_ = alcOpenDevice(renderDevice.c_str());
 */
Index: code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 6394)
@@ -30,5 +30,4 @@
 #include "WeaponMode.h"
 
-#include "util/StringUtils.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc	(revision 6394)
@@ -333,5 +333,5 @@
             this->camera_ = new Camera(this);
             this->camera_->requestFocus();
-            if (this->cameraPositionTemplate_ != "")
+            if (!this->cameraPositionTemplate_.empty())
                 this->addTemplate(this->cameraPositionTemplate_);
             if (this->cameraPositions_.size() > 0)
@@ -349,5 +349,5 @@
         if (!this->hud_ && GameMode::showsGraphics())
         {
-            if (this->hudtemplate_ != "")
+            if (!this->hudtemplate_.empty())
             {
                 this->hud_ = new OverlayGroup(this);
Index: code/branches/presentation2/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/WorldEntity.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/worldentities/WorldEntity.cc	(revision 6394)
@@ -814,5 +814,5 @@
     void WorldEntity::setCollisionTypeStr(const std::string& typeStr)
     {
-        std::string typeStrLower = getLowercase(typeStr);
+        const std::string& typeStrLower = getLowercase(typeStr);
         CollisionType type;
         if (typeStrLower == "dynamic")
Index: code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 6394)
@@ -199,5 +199,5 @@
     {
         // play spawn effect
-        if (this->spawnparticlesource_ != "")
+        if (!this->spawnparticlesource_.empty())
         {
             ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
Index: code/branches/presentation2/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 6393)
+++ code/branches/presentation2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 6394)
@@ -187,5 +187,5 @@
     void SpaceShip::loadEngineTemplate()
     {
-        if (this->enginetemplate_ != "")
+        if (!this->enginetemplate_.empty())
         {
             Template* temp = Template::getTemplate(this->enginetemplate_);