Index: code/branches/presentation2/src/libraries/core/ArgumentCompletionFunctions.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/ArgumentCompletionFunctions.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/core/ArgumentCompletionFunctions.cc	(revision 6400)
@@ -84,7 +84,7 @@
                 {
                     if (boost::filesystem::is_directory(*file))
-                        dirlist.push_back(ArgumentCompletionListElement((*file).string() + '/', getLowercase((*file).string()) + '/', (*file).BOOST_LEAF_FUNCTION() + '/'));
+                        dirlist.push_back(ArgumentCompletionListElement(file->string() + '/', getLowercase(file->string()) + '/', file->BOOST_LEAF_FUNCTION() + '/'));
                     else
-                        filelist.push_back(ArgumentCompletionListElement((*file).string(), getLowercase((*file).string()), (*file).BOOST_LEAF_FUNCTION()));
+                        filelist.push_back(ArgumentCompletionListElement(file->string(), getLowercase(file->string()), file->BOOST_LEAF_FUNCTION()));
                     ++file;
                 }
Index: code/branches/presentation2/src/libraries/core/BaseObject.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/BaseObject.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/core/BaseObject.cc	(revision 6400)
@@ -291,5 +291,5 @@
         std::map<std::string, EventState*>::const_iterator it = this->eventStates_.find(name);
         if (it != this->eventStates_.end())
-            return ((*it).second);
+            return (it->second);
         else
             return 0;
Index: code/branches/presentation2/src/libraries/core/ClassTreeMask.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/ClassTreeMask.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/core/ClassTreeMask.cc	(revision 6400)
@@ -850,10 +850,10 @@
         // If there is a first subclass, move the object-iterator to the first object of this class. Else go to the end
         if (this->subclassIterator_ != this->subclasses_.end())
-            this->objectIterator_ = (*this->subclassIterator_).first->getObjects()->begin();
+            this->objectIterator_ = this->subclassIterator_->first->getObjects()->begin();
         else
             this->objectIterator_ = ObjectList<BaseObject>::end();
 
         // Check if the iterator points on a valid object. If not, go to the next object by calling ++
-        if (!this->objectIterator_ || ((*this->subclassIterator_).second && !this->objectIterator_->isExactlyA((*this->subclassIterator_).first)))
+        if (!this->objectIterator_ || (this->subclassIterator_->second && !this->objectIterator_->isExactlyA(this->subclassIterator_->first)))
             this->operator++();
 
@@ -882,5 +882,5 @@
                     // Check if there really is a next class. If yes, move the object-iterator to the first object
                     if (this->subclassIterator_ != this->subclasses_.end())
-                        this->objectIterator_ = (*this->subclassIterator_).first->getObjects()->begin();
+                        this->objectIterator_ = this->subclassIterator_->first->getObjects()->begin();
                     else
                         return (*this);
@@ -888,5 +888,5 @@
 
             // Repeat this until we reach a valid object or the end
-            } while ((*this->subclassIterator_).second && !this->objectIterator_->isExactlyA((*this->subclassIterator_).first));
+            } while (this->subclassIterator_->second && !this->objectIterator_->isExactlyA(this->subclassIterator_->first));
         }
         return (*this);
Index: code/branches/presentation2/src/libraries/core/CommandEvaluation.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/CommandEvaluation.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/core/CommandEvaluation.cc	(revision 6400)
@@ -281,5 +281,5 @@
                 output += ' ';
 
-            output += (*it).getDisplay();
+            output += it->getDisplay();
         }
         return output;
Index: code/branches/presentation2/src/libraries/core/CommandExecutor.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/CommandExecutor.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/core/CommandExecutor.cc	(revision 6400)
@@ -82,5 +82,5 @@
         std::map<std::string, ConsoleCommand*>::const_iterator it = CommandExecutor::getInstance().consoleCommandShortcuts_.find(name);
         if (it != CommandExecutor::getInstance().consoleCommandShortcuts_.end())
-            return (*it).second;
+            return it->second;
         else
             return 0;
@@ -96,5 +96,5 @@
         std::map<std::string, ConsoleCommand*>::const_iterator it = CommandExecutor::getInstance().consoleCommandShortcuts_LC_.find(name);
         if (it != CommandExecutor::getInstance().consoleCommandShortcuts_LC_.end())
-            return (*it).second;
+            return it->second;
         else
             return 0;
@@ -386,6 +386,6 @@
                 {
                     // There is exactly one possible argument
-                    CommandExecutor::getEvaluation().argument_ = (*CommandExecutor::getEvaluation().listOfPossibleArguments_.begin()).getString();
-                    CommandExecutor::getEvaluation().possibleArgument_ = (*CommandExecutor::getEvaluation().listOfPossibleArguments_.begin()).getString();
+                    CommandExecutor::getEvaluation().argument_ = CommandExecutor::getEvaluation().listOfPossibleArguments_.begin()->getString();
+                    CommandExecutor::getEvaluation().possibleArgument_ = CommandExecutor::getEvaluation().listOfPossibleArguments_.begin()->getString();
                     CommandExecutor::getEvaluation().state_ = CommandState::ParamPreparation;
                     return;
@@ -471,5 +471,5 @@
             if (it->second->hasConsoleCommands())
                 if (it->first.find(lowercase) == 0 || fragment.empty())
-                    CommandExecutor::getEvaluation().listOfPossibleIdentifiers_.push_back(std::pair<const std::string*, const std::string*>(&(*it).first, &(*it).second->getName()));
+                    CommandExecutor::getEvaluation().listOfPossibleIdentifiers_.push_back(std::pair<const std::string*, const std::string*>(&it->first, &it->second->getName()));
     }
 
@@ -482,5 +482,5 @@
             for (std::map<std::string, ConsoleCommand*>::const_iterator it = CommandExecutor::getLowercaseConsoleCommandShortcutMapBegin(); it != CommandExecutor::getLowercaseConsoleCommandShortcutMapEnd(); ++it)
                 if (it->first.find(lowercase) == 0 || fragment.empty())
-                    CommandExecutor::getEvaluation().listOfPossibleFunctions_.push_back(std::pair<const std::string*, const std::string*>(&(*it).first, &(*it).second->getName()));
+                    CommandExecutor::getEvaluation().listOfPossibleFunctions_.push_back(std::pair<const std::string*, const std::string*>(&it->first, &it->second->getName()));
         }
         else
@@ -488,5 +488,5 @@
             for (std::map<std::string, ConsoleCommand*>::const_iterator it = identifier->getLowercaseConsoleCommandMapBegin(); it != identifier->getLowercaseConsoleCommandMapEnd(); ++it)
                 if (it->first.find(lowercase) == 0 || fragment.empty())
-                    CommandExecutor::getEvaluation().listOfPossibleFunctions_.push_back(std::pair<const std::string*, const std::string*>(&(*it).first, &(*it).second->getName()));
+                    CommandExecutor::getEvaluation().listOfPossibleFunctions_.push_back(std::pair<const std::string*, const std::string*>(&it->first, &it->second->getName()));
         }
     }
@@ -517,6 +517,6 @@
         const std::string& lowercase = getLowercase(name);
         std::map<std::string, Identifier*>::const_iterator it = Identifier::getLowercaseStringIdentifierMap().find(lowercase);
-        if ((it != Identifier::getLowercaseStringIdentifierMapEnd()) && (*it).second->hasConsoleCommands())
-            return (*it).second;
+        if ((it != Identifier::getLowercaseStringIdentifierMapEnd()) && it->second->hasConsoleCommands())
+            return it->second;
 
         return 0;
@@ -530,5 +530,5 @@
             std::map<std::string, ConsoleCommand*>::const_iterator it = CommandExecutor::getLowercaseConsoleCommandShortcutMap().find(lowercase);
             if (it != CommandExecutor::getLowercaseConsoleCommandShortcutMapEnd())
-                return (*it).second;
+                return it->second;
         }
         else
@@ -536,5 +536,5 @@
             std::map<std::string, ConsoleCommand*>::const_iterator it = identifier->getLowercaseConsoleCommandMap().find(lowercase);
             if (it != identifier->getLowercaseConsoleCommandMapEnd())
-                return (*it).second;
+                return it->second;
         }
         return 0;
@@ -599,13 +599,13 @@
                 for (std::list<std::pair<const std::string*, const std::string*> >::const_iterator it = list.begin(); it != list.end(); ++it)
                 {
-                    if ((*(*it).first).size() > i)
+                    if (it->first->size() > i)
                     {
                         if (it == list.begin())
                         {
-                            temp = (*(*it).first)[i];
+                            temp = (*it->first)[i];
                         }
                         else
                         {
-                            if (temp != (*(*it).first)[i])
+                            if (temp != (*it->first)[i])
                                 return output;
                         }
Index: code/branches/presentation2/src/libraries/core/ConfigFileManager.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/ConfigFileManager.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/core/ConfigFileManager.cc	(revision 6400)
@@ -51,7 +51,7 @@
         if (identifier != Identifier::getLowercaseStringIdentifierMapEnd())
         {
-            std::map<std::string, ConfigValueContainer*>::const_iterator variable = (*identifier).second->getLowercaseConfigValueMap().find(getLowercase(varname));
-            if (variable != (*identifier).second->getLowercaseConfigValueMapEnd())
-                return (*variable).second->set(value);
+            std::map<std::string, ConfigValueContainer*>::const_iterator variable = identifier->second->getLowercaseConfigValueMap().find(getLowercase(varname));
+            if (variable != identifier->second->getLowercaseConfigValueMapEnd())
+                return variable->second->set(value);
         }
         return false;
@@ -68,7 +68,7 @@
         if (identifier != Identifier::getLowercaseStringIdentifierMapEnd())
         {
-            std::map<std::string, ConfigValueContainer*>::const_iterator variable = (*identifier).second->getLowercaseConfigValueMap().find(getLowercase(varname));
-            if (variable != (*identifier).second->getLowercaseConfigValueMapEnd())
-                return (*variable).second->tset(value);
+            std::map<std::string, ConfigValueContainer*>::const_iterator variable = identifier->second->getLowercaseConfigValueMap().find(getLowercase(varname));
+            if (variable != identifier->second->getLowercaseConfigValueMapEnd())
+                return variable->second->tset(value);
         }
         return false;
@@ -382,5 +382,5 @@
         {
             std::map<std::string, Identifier*>::const_iterator it2 = Identifier::getStringIdentifierMap().find((*it1)->getName());
-            if (it2 != Identifier::getStringIdentifierMapEnd() && (*it2).second->hasConfigValues())
+            if (it2 != Identifier::getStringIdentifierMapEnd() && it2->second->hasConfigValues())
             {
                 // The section exists, delete comment
@@ -389,6 +389,6 @@
                 for (std::list<ConfigFileEntry*>::iterator it3 = (*it1)->entries_.begin(); it3 != (*it1)->entries_.end(); )
                 {
-                    std::map<std::string, ConfigValueContainer*>::const_iterator it4 = (*it2).second->getConfigValueMap().find((*it3)->getName());
-                    if (it4 != (*it2).second->getConfigValueMapEnd())
+                    std::map<std::string, ConfigValueContainer*>::const_iterator it4 = it2->second->getConfigValueMap().find((*it3)->getName());
+                    if (it4 != it2->second->getConfigValueMapEnd())
                     {
                         // The config-value exists, delete comment
@@ -464,5 +464,5 @@
                 if (it->second->hasConfigValues())
                 {
-                    for (std::map<std::string, ConfigValueContainer*>::const_iterator it2 = (*it).second->getConfigValueMapBegin(); it2 != (*it).second->getConfigValueMapEnd(); ++it2)
+                    for (std::map<std::string, ConfigValueContainer*>::const_iterator it2 = it->second->getConfigValueMapBegin(); it2 != it->second->getConfigValueMapEnd(); ++it2)
                         it2->second->update();
 
Index: code/branches/presentation2/src/libraries/core/Language.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/Language.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/core/Language.cc	(revision 6400)
@@ -318,5 +318,5 @@
         for (std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.begin(); it != this->languageEntries_.end(); ++it)
         {
-            file << (*it).second->getLabel() << '=' << (*it).second->getDefault() << std::endl;
+            file << it->second->getLabel() << '=' << it->second->getDefault() << std::endl;
         }
 
Index: code/branches/presentation2/src/libraries/core/Loader.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/Loader.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/core/Loader.cc	(revision 6400)
@@ -80,5 +80,5 @@
         for (std::vector<std::pair<const XMLFile*, ClassTreeMask> >::iterator it = Loader::files_s.begin(); it != Loader::files_s.end(); ++it)
         {
-            if ((*it).first == file)
+            if (it->first == file)
             {
                 Loader::files_s.erase(it);
@@ -92,5 +92,5 @@
         bool success = true;
         for (std::vector<std::pair<const XMLFile*, ClassTreeMask> >::iterator it = Loader::files_s.begin(); it != Loader::files_s.end(); ++it)
-            if (!Loader::load((*it).first, (*it).second * mask))
+            if (!Loader::load(it->first, it->second * mask))
                 success = false;
 
@@ -291,5 +291,5 @@
             {
                 if (it != luaTags.end())
-                    end = (*(it++)).first;
+                    end = (it++)->first;
                 else
                     end = std::string::npos;
Index: code/branches/presentation2/src/libraries/core/NamespaceNode.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/NamespaceNode.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/core/NamespaceNode.cc	(revision 6400)
@@ -43,5 +43,5 @@
     {
         for (std::map<std::string, NamespaceNode*>::iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); )
-            delete ((*(it++)).second);
+            delete (it++)->second;
     }
 
@@ -89,5 +89,5 @@
                     it = this->subnodes_.insert(this->subnodes_.begin(), std::pair<std::string, NamespaceNode*>(firstPart, new NamespaceNode(firstPart, this)));
 
-                if ((*it).second->isHidden())
+                if (it->second->isHidden())
                 {
                     COUT(2) << "Warning: Subnamespace '" << firstPart << "' in namespace '" << this->name_ << "' is hidden and can't be accessed." << std::endl;
@@ -96,5 +96,5 @@
                 else
                 {
-                    nodes = (*it).second->getNodeRelative(secondPart);
+                    nodes = it->second->getNodeRelative(secondPart);
                 }
             }
@@ -105,7 +105,7 @@
                 for (std::map<std::string, NamespaceNode*>::iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); ++it)
                 {
-                    if ((*it).first.find(firstPart) == ((*it).first.size() - firstPart.size()))
+                    if (it->first.find(firstPart) == (it->first.size() - firstPart.size()))
                     {
-                        std::set<NamespaceNode*> temp2 = (*it).second->getNodeRelative(secondPart);
+                        std::set<NamespaceNode*> temp2 = it->second->getNodeRelative(secondPart);
                         nodes.insert(temp2.begin(), temp2.end());
                         bFoundMatchingNamespace = true;
@@ -133,5 +133,5 @@
         {
             for (std::map<std::string, NamespaceNode*>::const_iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); ++it)
-                if ((*it).second->includes(ns))
+                if (it->second->includes(ns))
                     return true;
         }
Index: code/branches/presentation2/src/libraries/core/input/InputManager.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/input/InputManager.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/core/input/InputManager.cc	(revision 6400)
@@ -275,5 +275,5 @@
         // destroy all user InputStates
         while (statesByName_.size() > 0)
-            this->destroyStateInternal((*statesByName_.rbegin()).second);
+            this->destroyStateInternal(statesByName_.rbegin()->second);
 
         if (!(internalState_ & Bad))
Index: code/branches/presentation2/src/libraries/network/GamestateClient.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/GamestateClient.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/network/GamestateClient.cc	(revision 6400)
@@ -54,5 +54,5 @@
       std::map<unsigned int, packet::Gamestate *>::iterator it;
       for ( it = this->gamestateMap_.begin(); it != this->gamestateMap_.end(); ++it )
-          delete (*it).second;
+          delete it->second;
       if( this->tempGamestate_ )
           delete this->tempGamestate_;
@@ -126,5 +126,5 @@
         break;
       // otherwise delete that stuff
-      delete (*it).second;
+      delete it->second;
       temp=it++;
       gamestateMap_.erase(temp);
Index: code/branches/presentation2/src/libraries/network/GamestateManager.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/GamestateManager.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/network/GamestateManager.cc	(revision 6400)
@@ -69,5 +69,5 @@
         delete this->reference;std::map<unsigned int, packet::Gamestate*>::iterator it;
     for( it = gamestateQueue.begin(); it != gamestateQueue.end(); ++it )
-      delete (*it).second;
+      delete it->second;
     std::map<unsigned int, std::map<unsigned int, packet::Gamestate*> >::iterator it1;
     std::map<unsigned int, packet::Gamestate*>::iterator it2;
@@ -75,5 +75,5 @@
     {
       for( it2 = it1->second.begin(); it2 != it1->second.end(); ++it2 )
-        delete (*it2).second;
+        delete it2->second;
     }
     this->trafficControl_->destroy();
Index: code/branches/presentation2/src/libraries/network/TrafficControl.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/TrafficControl.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/network/TrafficControl.cc	(revision 6400)
@@ -152,16 +152,16 @@
     for(itvec = objectListTemp[gamestateID].begin(); itvec != objectListTemp[gamestateID].end(); itvec++)
       {
-      if(objectListPerm.find((*itvec).objID) != objectListPerm.end()) // check whether the obj already exists in our lists
-      {
-        objectListPerm[(*itvec).objID].objCurGS = gamestateID;
-        objectListPerm[(*itvec).objID].objValueSched = 0; //set scheduling value back
+      if(objectListPerm.find(itvec->objID) != objectListPerm.end()) // check whether the obj already exists in our lists
+      {
+        objectListPerm[itvec->objID].objCurGS = gamestateID;
+        objectListPerm[itvec->objID].objValueSched = 0; //set scheduling value back
       }
       else
       {
         assert(0);
-        objectListPerm[(*itvec).objID].objCurGS = gamestateID;
-        objectListPerm[(*itvec).objID].objID = (*itvec).objID;
-        objectListPerm[(*itvec).objID].objCreatorID = (*itvec).objCreatorID;
-        objectListPerm[(*itvec).objID].objSize = (*itvec).objSize;
+        objectListPerm[itvec->objID].objCurGS = gamestateID;
+        objectListPerm[itvec->objID].objID = itvec->objID;
+        objectListPerm[itvec->objID].objCreatorID = itvec->objCreatorID;
+        objectListPerm[itvec->objID].objSize = itvec->objSize;
       }
       }
@@ -205,13 +205,13 @@
     for(itvec = list.begin(); itvec != list.end();)
     {
-      assert( (*itvec).objSize < 1000);
-      if ( ( size + (*itvec).objSize ) < targetsize )
-      {
-        size += (*itvec).objSize;//objSize is given in bytes
+      assert( itvec->objSize < 1000);
+      if ( ( size + itvec->objSize ) < targetsize )
+      {
+        size += itvec->objSize;//objSize is given in bytes
         ++itvec;
       }
       else
       {
-        clientListPerm_[currentClientID][(*itvec).objID].objValueSched += SCHED_PRIORITY_OFFSET; // NOTE: SCHED_PRIORITY_OFFSET is negative
+        clientListPerm_[currentClientID][itvec->objID].objValueSched += SCHED_PRIORITY_OFFSET; // NOTE: SCHED_PRIORITY_OFFSET is negative
         list.erase(itvec, list.end());
         break;
@@ -241,9 +241,9 @@
       for( itvec=list.begin(); itvec != list.end(); itvec++)
       {
-        if ( objectListPerm.find( (*itvec).objID) != objectListPerm.end() )
+        if ( objectListPerm.find( itvec->objID) != objectListPerm.end() )
         {
         // we already have the object in our map
         //obj bleibt in liste und permanente prio wird berechnet
-          objectListPerm[(*itvec).objID].objDiffGS = currentGamestateID - objectListPerm[(*itvec).objID].objCurGS;
+          objectListPerm[itvec->objID].objDiffGS = currentGamestateID - objectListPerm[itvec->objID].objCurGS;
           continue;//check next objId
         }
@@ -289,17 +289,17 @@
     COUT(0) << "=========== Objectlist ===========" << endl;
     for( it=list.begin(); it!=list.end(); it++)
-      COUT(0) << "ObjectID: " << (*it).objID << " creatorID: " << (*it).objCreatorID << " Priority: " << clientListPerm_[clientID][(*it).objID].objValuePerm + clientListPerm_[clientID][(*it).objID].objValueSched << " size: " << (*it).objSize << endl;
+      COUT(0) << "ObjectID: " << it->objID << " creatorID: " << it->objCreatorID << " Priority: " << clientListPerm_[clientID][it->objID].objValuePerm + clientListPerm_[clientID][it->objID].objValueSched << " size: " << it->objSize << endl;
   }
 
   void TrafficControl::fixCreatorDependencies(std::list<obj>::iterator it1, std::list<obj>& list, unsigned int clientID)
   {
-    if ( (*it1).objCreatorID == OBJECTID_UNKNOWN )
-      return;
-    if( clientListPerm_[clientID][(*it1).objCreatorID].objCurGS != GAMESTATEID_INITIAL )
+    if ( it1->objCreatorID == OBJECTID_UNKNOWN )
+      return;
+    if( clientListPerm_[clientID][it1->objCreatorID].objCurGS != GAMESTATEID_INITIAL )
       return;
     std::list<obj>::iterator it2, it3=it1;
     for( it2 = ++it3; it2 != list.end(); it2++ )
     {
-      if( (*it2).objID == (*it1).objCreatorID )
+      if( it2->objID == it1->objCreatorID )
       {
         it3 = list.insert(it1, *it2); //insert creator before it1
Index: code/branches/presentation2/src/libraries/network/packet/ClassID.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/ClassID.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/network/packet/ClassID.cc	(revision 6400)
@@ -57,5 +57,5 @@
   std::map<std::string, Identifier*>::const_iterator it = Identifier::getStringIdentifierMapBegin();
   for(;it != Identifier::getStringIdentifierMapEnd();++it){
-    id = (*it).second;
+    id = it->second;
     if(id == NULL || !id->hasFactory())
       continue;
Index: code/branches/presentation2/src/libraries/network/packet/Gamestate.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/Gamestate.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/network/packet/Gamestate.cc	(revision 6400)
@@ -534,5 +534,5 @@
     SynchronisableHeader oldobjectheader(origdata);
     SynchronisableHeader newobjectheader(newdata);
-    if ( (*it).objSize == 0 )
+    if ( it->objSize == 0 )
     {
       ++it;
@@ -541,5 +541,5 @@
     objectsize = oldobjectheader.getDataSize();
     objectOffset=SynchronisableHeader::getSize(); //skip the size and the availableData variables in the objectheader
-    if ( (*it).objID == oldobjectheader.getObjectID() ){
+    if ( it->objID == oldobjectheader.getObjectID() ){
       memcpy(newdata, origdata, objectsize);
       assert(newobjectheader.isDataAvailable()==true);
Index: code/branches/presentation2/src/libraries/tools/TextureGenerator.cc
===================================================================
--- code/branches/presentation2/src/libraries/tools/TextureGenerator.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/tools/TextureGenerator.cc	(revision 6400)
@@ -82,5 +82,5 @@
         else
         {
-            return (*it).second;
+            return it->second;
         }
     }
Index: code/branches/presentation2/src/libraries/util/StringUtils.cc
===================================================================
--- code/branches/presentation2/src/libraries/util/StringUtils.cc	(revision 6399)
+++ code/branches/presentation2/src/libraries/util/StringUtils.cc	(revision 6400)
@@ -54,10 +54,10 @@
     {
         size_t pos;
-        while ((pos = (*str).find(' ')) < (*str).length())
-            (*str).erase(pos, 1);
-        while ((pos = (*str).find('\t')) < (*str).length())
-            (*str).erase(pos, 1);
-        while ((pos = (*str).find('\n')) < (*str).length())
-            (*str).erase(pos, 1);
+        while ((pos = str->find(' ')) < str->length())
+            str->erase(pos, 1);
+        while ((pos = str->find('\t')) < str->length())
+            str->erase(pos, 1);
+        while ((pos = str->find('\n')) < str->length())
+            str->erase(pos, 1);
     }
 
Index: code/branches/presentation2/src/modules/overlays/hud/HUDBar.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/hud/HUDBar.cc	(revision 6399)
+++ code/branches/presentation2/src/modules/overlays/hud/HUDBar.cc	(revision 6400)
@@ -122,13 +122,13 @@
             {
                 ColourValue colour1(0, 0, 0, 1);
-                ColourValue colour2 = (*this->colours_.rbegin()).second;
+                ColourValue colour2 = this->colours_.rbegin()->second;
                 float value1(0);
-                float value2 = (*this->colours_.rbegin()).first;
+                float value2 = this->colours_.rbegin()->first;
                 for (std::map<float, ColourValue>::reverse_iterator it = this->colours_.rbegin(); it != this->colours_.rend(); ++it)
                 {
                     colour1 = colour2;
                     value1 = value2;
-                    colour2 = (*it).second;
-                    value2 = (*it).first;
+                    colour2 = it->second;
+                    value2 = it->first;
 
                     if (value2 < this->value_)
Index: code/branches/presentation2/src/modules/pong/PongAI.cc
===================================================================
--- code/branches/presentation2/src/modules/pong/PongAI.cc	(revision 6399)
+++ code/branches/presentation2/src/modules/pong/PongAI.cc	(revision 6400)
@@ -62,5 +62,5 @@
     {
         for (std::list<std::pair<Timer*, char> >::iterator it = this->reactionTimers_.begin(); it != this->reactionTimers_.end(); ++it)
-            (*it).first->destroy();
+            it->first->destroy();
     }
 
Index: code/branches/presentation2/src/modules/questsystem/QuestGUI.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestGUI.cc	(revision 6399)
+++ code/branches/presentation2/src/modules/questsystem/QuestGUI.cc	(revision 6400)
@@ -116,5 +116,5 @@
         for(std::map<std::string, Quest*>::iterator it = quests.begin(); it != quests.end(); it++)
         {
-            Quest* quest = (*it).second;
+            Quest* quest = it->second;
             if(quest->getParentQuest() == NULL && !quest->isInactive(this->player_)) //!< If the Quest isn't inactive and a root Quest (meaning it has no parent.), create a Node.
             {
@@ -136,5 +136,5 @@
         for(std::map<CEGUI::Window*, QuestGUINode*>::iterator it = this->nodes_.begin(); it != this->nodes_.end(); it++)
         {
-            QuestGUINode* node = (*it).second;
+            QuestGUINode* node = it->second;
             if(node == NULL)
             {
@@ -209,5 +209,5 @@
         for(std::map<PlayerInfo*, QuestGUI*>::iterator it = QuestManager::getInstance().questGUIs_.begin(); it != QuestManager::getInstance().questGUIs_.end(); it++)
         {
-            QuestGUI* gui = (*it).second;
+            QuestGUI* gui = it->second;
             std::map<CEGUI::Window*, QuestGUINode*>::iterator node = gui->nodes_.find(window);
             if(node != gui->nodes_.end()) return node->second;
Index: code/branches/presentation2/src/modules/questsystem/QuestManager.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestManager.cc	(revision 6399)
+++ code/branches/presentation2/src/modules/questsystem/QuestManager.cc	(revision 6400)
@@ -76,5 +76,5 @@
         for(std::map<PlayerInfo*, QuestGUI*>::iterator it = this->questGUIs_.begin(); it != this->questGUIs_.end(); it++)
         {
-            (*it).second->destroy();
+            it->second->destroy();
         }
         this->questGUIs_.clear();
Index: code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 6399)
+++ code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 6400)
@@ -311,5 +311,5 @@
         std::map<std::string, OrxonoxOverlay*>::const_iterator it = overlays_s.find(name);
         if (it != overlays_s.end())
-            (*it).second->scale(Vector2(scale, scale));
+            it->second->scale(Vector2(scale, scale));
     }
 
@@ -326,5 +326,5 @@
         if (it != overlays_s.end())
         {
-            OrxonoxOverlay* overlay= (*it).second;
+            OrxonoxOverlay* overlay= it->second;
             if(overlay->isVisible())
                 overlay->hide();
@@ -345,5 +345,5 @@
         std::map<std::string, OrxonoxOverlay*>::const_iterator it = overlays_s.find(name);
         if (it != overlays_s.end())
-            (*it).second->scroll(scroll);
+            it->second->scroll(scroll);
     }
 
@@ -359,5 +359,5 @@
         std::map<std::string, OrxonoxOverlay*>::const_iterator it = overlays_s.find(name);
         if (it != overlays_s.end())
-            (*it).second->rotate(angle);
+            it->second->rotate(angle);
     }
 
Index: code/branches/presentation2/src/orxonox/pickup/ModifierPickup.cc
===================================================================
--- code/branches/presentation2/src/orxonox/pickup/ModifierPickup.cc	(revision 6399)
+++ code/branches/presentation2/src/orxonox/pickup/ModifierPickup.cc	(revision 6400)
@@ -91,10 +91,10 @@
             for (it = this->additiveModifiers_.begin(); it != this->additiveModifiers_.end(); it++)
             {
-                pawn->getPickups().addAdditiveModifier((*it).first, (*it).second);
+                pawn->getPickups().addAdditiveModifier(it->first, it->second);
             }
 
             for (it = this->multiplicativeModifiers_.begin(); it != this->multiplicativeModifiers_.end(); it++)
             {
-                pawn->getPickups().addMultiplicativeModifier((*it).first, (*it).second);
+                pawn->getPickups().addMultiplicativeModifier(it->first, it->second);
             }
 
@@ -128,10 +128,10 @@
             for (it = this->additiveModifiers_.begin(); it != this->additiveModifiers_.end(); it++)
             {
-                pawn->getPickups().removeAdditiveModifier((*it).first, (*it).second);
+                pawn->getPickups().removeAdditiveModifier(it->first, it->second);
             }
 
             for (it = this->multiplicativeModifiers_.begin(); it != this->multiplicativeModifiers_.end(); it++)
             {
-                pawn->getPickups().removeMultiplicativeModifier((*it).first, (*it).second);
+                pawn->getPickups().removeMultiplicativeModifier(it->first, it->second);
             }
 
@@ -162,5 +162,5 @@
         std::map<ModifierType::Value, float>::const_iterator it = this->additiveModifiers_.find(type);
         if (it != this->additiveModifiers_.end())
-            return (*it).second;
+            return it->second;
         else
             return 0.0f;
@@ -175,5 +175,5 @@
         std::map<ModifierType::Value, float>::const_iterator it = this->multiplicativeModifiers_.find(type);
         if (it != this->multiplicativeModifiers_.end())
-            return (*it).second;
+            return it->second;
         else
             return 1.0f;
Index: code/branches/presentation2/src/orxonox/pickup/PickupCollection.cc
===================================================================
--- code/branches/presentation2/src/orxonox/pickup/PickupCollection.cc	(revision 6399)
+++ code/branches/presentation2/src/orxonox/pickup/PickupCollection.cc	(revision 6400)
@@ -100,6 +100,6 @@
         for (std::multimap<std::string, BaseItem*>::iterator it = this->items_.begin(); it != this->items_.end(); it++)
         {
-            if((*it).second && (*it).second->getOwner())
-                (*it).second->dropped((*it).second->getOwner());
+            if(it->second && it->second->getOwner())
+                it->second->dropped(it->second->getOwner());
         }
         this->currentUsable_ = NULL;
@@ -124,5 +124,5 @@
             for (std::multimap<std::string, BaseItem*>::iterator it = bounds.first; it != bounds.second && it != this->items_.end(); it++)
             {
-                if ((*it).second == item)
+                if (it->second == item)
                 {
                     return true;
@@ -176,5 +176,5 @@
             for (std::multimap<std::string, BaseItem*>::iterator it = bounds.first; it != bounds.second && it != this->items_.end(); it++)
             {
-                if ((*it).second == item)
+                if (it->second == item)
                 {
                     this->items_.erase(it);
@@ -217,5 +217,5 @@
         for (std::multimap<ModifierType::Value, float>::iterator it = range.first; it != range.second && it != this->additiveModifiers_.end(); it++)
         {
-            v += (*it).second;
+            v += it->second;
         }
 
@@ -232,5 +232,5 @@
         for (std::multimap<ModifierType::Value, float>::iterator it = range.first; it != range.second && it != this->additiveModifiers_.end(); it++)
         {
-            if ((*it).second == value)
+            if (it->second == value)
             {
                 this->additiveModifiers_.erase(it);
@@ -260,5 +260,5 @@
         for (std::multimap<ModifierType::Value, float>::iterator it = range.first; it != range.second && it != this->multiplicativeModifiers_.end(); it++)
         {
-            v *= (*it).second;
+            v *= it->second;
         }
 
@@ -275,5 +275,5 @@
         for (std::multimap<ModifierType::Value, float>::iterator it = range.first; it != range.second && it != this->multiplicativeModifiers_.end(); it++)
         {
-            if ((*it).second == value)
+            if (it->second == value)
             {
                 this->multiplicativeModifiers_.erase(it);
@@ -335,6 +335,6 @@
         for (std::multimap<std::string, BaseItem*>::iterator it = this->items_.begin(); it != this->items_.end(); it++)
         {
-            if ((*it).second->isA(ident))
-                ret.push_back(orxonox_cast<EquipmentItem*>((*it).second));
+            if (it->second->isA(ident))
+                ret.push_back(orxonox_cast<EquipmentItem*>(it->second));
         }
 
@@ -352,6 +352,6 @@
         for (std::multimap<std::string, BaseItem*>::iterator it = this->items_.begin(); it != this->items_.end(); it++)
         {
-            if ((*it).second->isA(ident))
-                ret.push_back(orxonox_cast<PassiveItem*>((*it).second));
+            if (it->second->isA(ident))
+                ret.push_back(orxonox_cast<PassiveItem*>(it->second));
         }
 
@@ -369,6 +369,6 @@
         for (std::multimap<std::string, BaseItem*>::iterator it = this->items_.begin(); it != this->items_.end(); it++)
         {
-            if ((*it).second->isA(ident))
-                ret.push_back(orxonox_cast<UsableItem*>((*it).second));
+            if (it->second->isA(ident))
+                ret.push_back(orxonox_cast<UsableItem*>(it->second));
         }
 