Index: code/branches/presentation2/data/gui/scripts/AudioMenu.lua
===================================================================
--- code/branches/presentation2/data/gui/scripts/AudioMenu.lua	(revision 6388)
+++ code/branches/presentation2/data/gui/scripts/AudioMenu.lua	(revision 6403)
@@ -57,5 +57,5 @@
     if masterscrollbar_active == false then
         mastervolume = masterscrollbarwindow:getScrollPosition()
-        orxonox.CommandExecutor:execute("config SoundManager soundVolume_ " .. mastervolume)
+        orxonox.config("SoundManager", "soundVolume_", mastervolume)
     end
 end
@@ -67,5 +67,5 @@
 function P.AudioMasterScrollbar_ended(e)
     mastervolume = masterscrollbarwindow:getScrollPosition()
-    orxonox.CommandExecutor:execute("config SoundManager soundVolume_ " .. mastervolume)
+    orxonox.config("SoundManager", "soundVolume_", mastervolume)
     masterscrollbar_active = false
 end
@@ -80,5 +80,5 @@
     if musicscrollbar_active == false then
         musicvolume = musicscrollbarwindow:getScrollPosition()
-        orxonox.CommandExecutor:execute("config SoundManager ambientVolume_ " .. musicvolume)
+        orxonox.config("SoundManager", "ambientVolume_", musicvolume)
     end
 end
@@ -91,5 +91,5 @@
     musicmutewindow:setSelected(false)
     musicvolume = musicscrollbarwindow:getScrollPosition()
-    orxonox.CommandExecutor:execute("config SoundManager ambientVolume_ " .. musicvolume)
+    orxonox.config("SoundManager", "ambientVolume_", musicvolume)
     musicscrollbar_active = false
 end
@@ -104,5 +104,5 @@
     if effectsscrollbar_active == false then
         effectsvolume = effectsscrollbarwindow:getScrollPosition()
-        orxonox.CommandExecutor:execute("config SoundManager effectsVolume_ " .. effectsvolume)
+        orxonox.config("SoundManager", "effectsVolume_", effectsvolume)
     end
 end
@@ -115,5 +115,5 @@
     effectsmutewindow:setSelected(false)
     effectsvolume = effectsscrollbarwindow:getScrollPosition()
-    orxonox.CommandExecutor:execute("config SoundManager effectsVolume_ " .. effectsvolume)
+    orxonox.config("SoundManager", "effectsVolume_", effectsvolume)
     effectsscrollbar_active = false
 end
@@ -166,7 +166,7 @@
 function P.AudioThemeListbox_changed(e)
     if listboxwindow:isItemSelected(1) then
-        orxonox.CommandExecutor:execute("setMood dnb")
+        orxonox.execute("setMood dnb")
     else
-        orxonox.CommandExecutor:execute("setMood default")
+        orxonox.execute("setMood default")
     end
 end
Index: code/branches/presentation2/data/gui/scripts/InGameMenu.lua
===================================================================
--- code/branches/presentation2/data/gui/scripts/InGameMenu.lua	(revision 6388)
+++ code/branches/presentation2/data/gui/scripts/InGameMenu.lua	(revision 6403)
@@ -39,5 +39,5 @@
     if doExit then
         hideGUI("InGameMenu")
-        orxonox.CommandExecutor:execute("exit")
+        orxonox.execute("exit")
     end
 end
Index: code/branches/presentation2/data/gui/scripts/InitialiseGUI.lua
===================================================================
--- code/branches/presentation2/data/gui/scripts/InitialiseGUI.lua	(revision 6388)
+++ code/branches/presentation2/data/gui/scripts/InitialiseGUI.lua	(revision 6403)
@@ -175,7 +175,7 @@
 function keyESC()
     if nrOfActiveSheets == 1 and activeSheets[1] == "MainMenu" then
-        orxonox.CommandExecutor:execute("exit")
+        orxonox.execute("exit")
     elseif nrOfActiveSheets > 0 then
-        orxonox.CommandExecutor:execute("hideGUI "..activeSheets[nrOfActiveSheets])
+        orxonox.execute("hideGUI "..activeSheets[nrOfActiveSheets])
     else
         showGUI("InGameMenu")
Index: code/branches/presentation2/data/gui/scripts/MainMenu.lua
===================================================================
--- code/branches/presentation2/data/gui/scripts/MainMenu.lua	(revision 6388)
+++ code/branches/presentation2/data/gui/scripts/MainMenu.lua	(revision 6403)
@@ -14,5 +14,5 @@
 -- events for MainMenu
 function P.QuickGameTestButton_clicked(e)
-    orxonox.CommandExecutor:execute("startGame")
+    orxonox.execute("startGame")
 end
 
@@ -34,5 +34,5 @@
 
 function P.ExitButton_clicked(e)
-    orxonox.CommandExecutor:execute("exit")
+    orxonox.execute("exit")
 end
 
Index: code/branches/presentation2/data/gui/scripts/MouseControlsMenu.lua
===================================================================
--- code/branches/presentation2/data/gui/scripts/MouseControlsMenu.lua	(revision 6388)
+++ code/branches/presentation2/data/gui/scripts/MouseControlsMenu.lua	(revision 6403)
@@ -47,5 +47,5 @@
         scrollposition = mousenormalscrollbarwindow:getScrollPosition()
         mousenormalsensitivity = (math.pow(64,scrollposition)+6)/14
-        orxonox.CommandExecutor:execute("config KeyBinder mouseSensitivity_ " .. mousenormalsensitivity)
+        orxonox.config("KeyBinder", "mouseSensitivity_", mousenormalsensitivity)
     end
 end
@@ -58,5 +58,5 @@
     scrollposition = mousenormalscrollbarwindow:getScrollPosition()
     mousenormalsensitivity = (math.pow(64,scrollposition)+6)/14
-    orxonox.CommandExecutor:execute("config KeyBinder mouseSensitivity_ " .. mousenormalsensitivity)
+    orxonox.config("KeyBinder", "mouseSensitivity_", mousenormalsensitivity)
     mousenormalscrollbar_active = false
 end
@@ -66,5 +66,5 @@
         scrollposition = mousederivescrollbarwindow:getScrollPosition()
         mousederivesensitivity = (math.pow(64,scrollposition)+6)/14
-        orxonox.CommandExecutor:execute("config KeyBinder mouseSensitivityDerived_ " .. mousederivesensitivity)
+        orxonox.config("KeyBinder", "mouseSensitivityDerived_", mousederivesensitivity)
     end
 end
@@ -77,5 +77,5 @@
     scrollposition = mousederivescrollbarwindow:getScrollPosition()
     mousederivesensitivity = (math.pow(64,scrollposition)+6)/14
-    orxonox.CommandExecutor:execute("config KeyBinder mouseSensitivityDerived_ " .. mousederivesensitivity)
+    orxonox.config("KeyBinder", "mouseSensitivityDerived_", mousederivesensitivity)
     mousederivescrollbar_active = false
 end
@@ -86,5 +86,5 @@
         derivewindow:setSelected(false)
         block = false
-        orxonox.CommandExecutor:execute("config KeyBinder bDeriveMouseInput_ false")
+        orxonox.config("KeyBinder", "bDeriveMouseInput_", 0)
     end
 end
@@ -95,5 +95,5 @@
         normalwindow:setSelected(false)
         block = false
-        orxonox.CommandExecutor:execute("config KeyBinder bDeriveMouseInput_ true")
+        orxonox.config("KeyBinder", "bDeriveMouseInput_", 1)
     end
 end
Index: code/branches/presentation2/data/gui/scripts/MultiplayerMenu.lua
===================================================================
--- code/branches/presentation2/data/gui/scripts/MultiplayerMenu.lua	(revision 6388)
+++ code/branches/presentation2/data/gui/scripts/MultiplayerMenu.lua	(revision 6403)
@@ -70,5 +70,5 @@
     if choice then
         orxonox.LevelManager:getInstance():setDefaultLevel(choice:getText() .. ".oxw")
-        orxonox.CommandExecutor:execute(multiplayerMode)
+        orxonox.execute(multiplayerMode)
         hideAllGUIs()
     end
Index: code/branches/presentation2/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- code/branches/presentation2/data/gui/scripts/SingleplayerMenu.lua	(revision 6388)
+++ code/branches/presentation2/data/gui/scripts/SingleplayerMenu.lua	(revision 6403)
@@ -42,5 +42,5 @@
     if choice then
         orxonox.LevelManager:getInstance():setDefaultLevel(choice:getText() .. ".oxw")
-        orxonox.CommandExecutor:execute("startGame")
+        orxonox.execute("startGame")
         hideAllGUIs()
     end