Index: branches/preferences/src/lib/Makefile.am
===================================================================
--- branches/preferences/src/lib/Makefile.am	(revision 6405)
+++ branches/preferences/src/lib/Makefile.am	(revision 6410)
@@ -17,6 +17,5 @@
                             parser/tinyxml/libtinyxml.a \
                             parser/ini_parser/libIniParser.a \
-                            shell/libORXshell.a \
-			    argp/libargp.a
+                            shell/libORXshell.a 
 
 #libORXlibs_a_LIBDADD =     gui/gtk_gui/libORXgui.a \
@@ -77,5 +76,4 @@
           shell \
           gui \
-	  argp \
           .
 
Index: branches/preferences/src/lib/parser/preferences/cmd_line_prefs_reader.cc
===================================================================
--- branches/preferences/src/lib/parser/preferences/cmd_line_prefs_reader.cc	(revision 6405)
+++ branches/preferences/src/lib/parser/preferences/cmd_line_prefs_reader.cc	(revision 6410)
@@ -20,20 +20,4 @@
 using namespace std;
 
-static const argp_option   argp_options[] = {
-  {"server",        's',        0,         0,   "Run as Server"},
-  {"client",        'c',        0,         0,   "Run as Client"},
-  {"host",          'h',        "ADDRESS", 0,   "Host to connect to"},
-  {"port",          'p',        "PORT",    0,   "Port number"},
-  {"user-config",   1000,       "FILE",    0,   "Location of config file" },
-  { 0 }
-};
-
-const char* argp_program_version     = "orxonox";
-const char* argp_program_bug_address = "bugs@orxonox.net";
-static char doc[]                    = "doc goes here";
-static char args_doc[]               = "args doc goes here";
-
-static Argp argp = { argp_options, CmdLinePrefsReader::parse_opt, args_doc, doc };
-
 /**
  * standard constructor
@@ -41,20 +25,4 @@
 CmdLinePrefsReader::CmdLinePrefsReader(int argc, char** argv)
 {
-  //set default values
-  cmdLineArgs.host       = NULL;
-  cmdLineArgs.port       = NULL;
-  cmdLineArgs.configFile = NULL;
-  cmdLineArgs.isServer   = false;
-  cmdLineArgs.isClient   = false;
-
-
-  argp_parse((const struct argp *)&argp, (int)argc, (char**)argv, (unsigned)NULL, (int*)NULL, (void*)&(this->cmdLineArgs));
-
-
-  PRINTF(0)("host       = %s\n", cmdLineArgs.host);
-  PRINTF(0)("port       = %s\n", cmdLineArgs.port);
-  PRINTF(0)("configfile = %s\n", cmdLineArgs.configFile);
-  PRINTF(0)("server     = %d\n", cmdLineArgs.isServer);
-  PRINTF(0)("client     = %d\n", cmdLineArgs.isClient);
 
 }
@@ -68,43 +36,3 @@
 }
 
-error_t CmdLinePrefsReader::parse_opt(int key, char *arg, ArgpState *state)
-{
-  CmdLineArgs * cmdLineArgs = (CmdLineArgs*)(state->input);
 
-  switch ( key )
-  {
-    case 1000:
-      if ( cmdLineArgs->configFile!=NULL ) delete[] cmdLineArgs->configFile;
-      cmdLineArgs->configFile = new char[strlen(arg)+1];
-      strcpy(cmdLineArgs->configFile, arg);
-      break;
-
-    case 's':
-      cmdLineArgs->isServer = true;
-      break;
-
-    case 'c':
-      cmdLineArgs->isClient = true;
-      break;
-
-    case 'h':
-      if ( cmdLineArgs->host!=NULL ) delete[] cmdLineArgs->host;
-      cmdLineArgs->host = new char[strlen(arg)+1];
-      strcpy(cmdLineArgs->host, arg);
-      break;
-
-    case 'p':
-      if ( cmdLineArgs->port!=NULL ) delete[] cmdLineArgs->port;
-      cmdLineArgs->port = new char[strlen(arg)+1];
-      strcpy(cmdLineArgs->port, arg);
-      break;
-
-    default:
-      return ARGP_ERR_UNKNOWN;
-  }
-
-  return 0;
-}
-
-
-
Index: branches/preferences/src/lib/parser/preferences/cmd_line_prefs_reader.h
===================================================================
--- branches/preferences/src/lib/parser/preferences/cmd_line_prefs_reader.h	(revision 6405)
+++ branches/preferences/src/lib/parser/preferences/cmd_line_prefs_reader.h	(revision 6410)
@@ -10,17 +10,4 @@
 #include "debug.h"
 
-#include "src/lib/argp/argp.h"
-
-typedef struct {
-  bool isServer;
-  bool isClient;
-  char * host;
-  char * port;
-  char * configFile;
-} CmdLineArgs;
-
-typedef struct argp Argp;
-typedef struct argp_state ArgpState;
-
 //! A class for reading commandline arguments into Preferences
 class CmdLinePrefsReader {
@@ -30,8 +17,4 @@
    virtual ~CmdLinePrefsReader();
 
-   static error_t parse_opt(int key, char *arg, ArgpState *state);
-
- private:
-   CmdLineArgs cmdLineArgs;
 
 };